| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Static Public Member Functions | List of all members
NTuple::Directory Struct Reference

Small class representing an N tuple directory in the transient store. More...

`#include <GaudiKernel/NTuple.h>`

Inheritance diagram for NTuple::Directory:
[legend]
Collaboration diagram for NTuple::Directory:
[legend]

## Public Member Functions
const CLID & | clID () const override
| class ID of the object More...
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...

## Static Public Member Functions
static const CLID & | classID ()
| class ID of the object More...
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...

## Detailed Description

Small class representing an N tuple directory in the transient store.

Definition at line 901 of file NTuple.h.

## Member Function Documentation

## ◆ classID()

static const CLID& NTuple::Directory::classID | ( |  | ) |
| inline static

class ID of the object

Definition at line 903 of file NTuple.h.

903 { return CLID_NTupleDirectory; }

## ◆ clID()

const CLID& NTuple::Directory::clID | ( |  | ) | const
| inline override virtual

class ID of the object

Reimplemented from DataObject.

Reimplemented in NTuple::File.

Definition at line 905 of file NTuple.h.

905 { return classID(); }
NTuple::Directory::classID
static const CLID & classID()
class ID of the object
Definition: NTuple.h:903

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h